io.vertx.reactivex.ext.web

## Class ParsedHeaderValues

- java.lang.Object
- - io.vertx.reactivex.ext.web.ParsedHeaderValues

-     public class ParsedHeaderValues
      extends Object

  A container with the request's headers that are meaningful enough to be parsed Contains:
  - Accept -> MIME header, parameters and sortable
  - Accept-Charset -> Parameters and sortable
  - Accept-Encoding -> Parameters and sortable
  - Accept-Language -> Parameters and sortable
  - Content-Type -> MIME header and parameters

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ParsedHeaderValues>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParsedHeaderValues(Object delegate)`
    `ParsedHeaderValues(ParsedHeaderValues delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<MIMEHeader>` | `accept()`
    `List<ParsedHeaderValue>` | `acceptCharset()`
    `List<ParsedHeaderValue>` | `acceptEncoding()`
    `List<LanguageHeader>` | `acceptLanguage()`
    `MIMEHeader` | `contentType()`
    `boolean` | `equals(Object o)`
    `ParsedHeaderValues` | `getDelegate()`
    `int` | `hashCode()`
    `static ParsedHeaderValues` | `newInstance(ParsedHeaderValues arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ParsedHeaderValues> __TYPE_ARG

  - ### Constructor Detail

    - #### ParsedHeaderValues

          public ParsedHeaderValues(ParsedHeaderValues delegate)

    - #### ParsedHeaderValues

          public ParsedHeaderValues(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ParsedHeaderValues getDelegate()

    - #### accept

          public List<MIMEHeader> accept()

      Returns:
        List of MIME values in the `Accept` header

    - #### acceptCharset

          public List<ParsedHeaderValue> acceptCharset()

      Returns:
        List of charset values in the `Accept-Charset` header

    - #### acceptEncoding

          public List<ParsedHeaderValue> acceptEncoding()

      Returns:
        List of encofing values in the `Accept-Encoding` header

    - #### acceptLanguage

          public List<LanguageHeader> acceptLanguage()

      Returns:
        List of languages in the `Accept-Language` header

    - #### contentType

          public MIMEHeader contentType()

      Returns:
        MIME value in the `Content-Type` header

    - #### newInstance

          public static ParsedHeaderValues newInstance(ParsedHeaderValues arg)

Copyright © 2020 Eclipse. All rights reserved.